AddPortletAction (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.addcontent.AddPortletAction class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.addcontent
Class AddPortletAction

    java.lang.Object
      org.apache.struts.action.Action
          org.hyperic.hq.ui.action.BaseAction
              org.hyperic.hq.ui.action.portlet.addcontent.AddPortletAction

    public class AddPortletAction

extends BaseAction

An `Action` that loads the `Portal` identified by the `PORTAL_PARAM` request parameter (or the default portal, if the parameter is not specified) into the `PORTAL_KEY` request attribute.

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.BaseAction
`NO_RETURN_PATH, YES_RETURN_PATH`

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`AddPortletAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Doesn't do a thing.

Methods inherited from class org.hyperic.hq.ui.action.BaseAction
`checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, checkSubmit, constructForward, constructForward, constructForward, constructForward, execute, returnAdd, returnAdd, returnAdd, returnCancelled, returnCancelled, returnCancelled, returnCancelled, returnFailure, returnFailure, returnFailure, returnFailure, returnFailure, returnNew, returnNew, returnNew, returnNew, returnNew, returnOkAssign, returnOkAssign, returnRemove, returnRemove, returnRemove, returnReset, returnReset, returnReset, returnReset, returnSuccess, returnSuccess, returnSuccess, returnSuccess, returnSuccess`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddPortletAction

    public AddPortletAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Description copied from class: `BaseAction`
  Doesn't do a thing. It's here as a dummy method used by list that don't submit a form.

  Overrides:
    `execute` in class `BaseAction`
  Parameters:
    `mapping` - The ActionMapping used to select this instance
    `form` - The optional ActionForm bean for this request (if any)
    `request` - The HTTP request we are processing
    `response` - The HTTP response we are creating
  Throws:
    `java.lang.Exception` - if the application business logic throws an exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.